# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'obserware/assets/uifiles/cputwind.ui'
#
# Created by: PyQt5 UI code generator 5.15.6
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_cputwind(object):
    def setupUi(self, cputwind):
        cputwind.setObjectName("cputwind")
        cputwind.resize(600, 480)
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(cputwind.sizePolicy().hasHeightForWidth())
        cputwind.setSizePolicy(sizePolicy)
        cputwind.setMinimumSize(QtCore.QSize(600, 480))
        cputwind.setMaximumSize(QtCore.QSize(600, 480))
        self.cputqant = QtWidgets.QLabel(cputwind)
        self.cputqant.setGeometry(QtCore.QRect(395, 5, 200, 20))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cputqant.sizePolicy().hasHeightForWidth())
        self.cputqant.setSizePolicy(sizePolicy)
        self.cputqant.setMinimumSize(QtCore.QSize(200, 20))
        self.cputqant.setMaximumSize(QtCore.QSize(200, 20))
        self.cputqant.setStyleSheet('font: 15pt "JetBrains Mono";')
        self.cputqant.setAlignment(
            QtCore.Qt.AlignRight | QtCore.Qt.AlignTrailing | QtCore.Qt.AlignVCenter
        )
        self.cputqant.setObjectName("cputqant")
        self.cputlabl = QtWidgets.QLabel(cputwind)
        self.cputlabl.setGeometry(QtCore.QRect(5, 5, 200, 20))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cputlabl.sizePolicy().hasHeightForWidth())
        self.cputlabl.setSizePolicy(sizePolicy)
        self.cputlabl.setMinimumSize(QtCore.QSize(200, 20))
        self.cputlabl.setMaximumSize(QtCore.QSize(200, 20))
        self.cputlabl.setStyleSheet('font: 15pt "JetBrains Mono";')
        self.cputlabl.setObjectName("cputlabl")
        self.cputline = QtWidgets.QFrame(cputwind)
        self.cputline.setGeometry(QtCore.QRect(5, 30, 590, 1))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cputline.sizePolicy().hasHeightForWidth())
        self.cputline.setSizePolicy(sizePolicy)
        self.cputline.setMinimumSize(QtCore.QSize(590, 1))
        self.cputline.setMaximumSize(QtCore.QSize(590, 1))
        self.cputline.setStyleSheet("border: 1px solid #808080;")
        self.cputline.setFrameShape(QtWidgets.QFrame.HLine)
        self.cputline.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.cputline.setObjectName("cputline")
        self.cputlist = QtWidgets.QListWidget(cputwind)
        self.cputlist.setEnabled(True)
        self.cputlist.setGeometry(QtCore.QRect(5, 35, 590, 440))
        sizePolicy = QtWidgets.QSizePolicy(
            QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed
        )
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.cputlist.sizePolicy().hasHeightForWidth())
        self.cputlist.setSizePolicy(sizePolicy)
        self.cputlist.setMinimumSize(QtCore.QSize(590, 440))
        self.cputlist.setMaximumSize(QtCore.QSize(590, 440))
        self.cputlist.setFocusPolicy(QtCore.Qt.NoFocus)
        self.cputlist.setEditTriggers(QtWidgets.QAbstractItemView.NoEditTriggers)
        self.cputlist.setAlternatingRowColors(False)
        self.cputlist.setObjectName("cputlist")

        self.retranslateUi(cputwind)
        QtCore.QMetaObject.connectSlotsByName(cputwind)

    def retranslateUi(self, cputwind):
        _translate = QtCore.QCoreApplication.translate
        cputwind.setWindowTitle(_translate("cputwind", "Dialog"))
        self.cputqant.setText(_translate("cputwind", "0 CPU(s)"))
        self.cputlabl.setText(_translate("cputwind", "CPU Times"))
